Skip to main content
Other

Convert a document into a specified target type

This method requires the DocumentConversion permission to be associated with your role.

POST
/document/convert
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

multipart/form-data
documentstringrequired

Document to convert

target_formatenum<string>required

Target format

Available options: pdf, png, jpg, doc, docx, xls, xlsx

Response

application/octet-stream

Success - octet-stream of the converted file will be returned

bodystring